## stoq-1.8.0.tar.gz

=== Makefile ===
PACKAGE=stoq
SCHEMADIR=/mondo/htdocs/stoq.com.br/devel/schema/
JS_AD="http://pagead2.googlesyndication.com/pagead/show_ads.js"
API_DOC_DIR=dragon2:/var/www/stoq.com.br/doc/api/stoq/$(VERSION)/
MANUAL_DOC_DIR=dragon2:/var/www/stoq.com.br/doc/manual/$(VERSION)/
TEST_MODULES=stoq stoqlib plugins tests

# http://stackoverflow.com/questions/2214575/passing-arguments-to-make-run
# List of command that takes test_modules arguments via make
TEST_MODULES_CMD=check check-failed
ifneq (,$(findstring $(firstword $(MAKECMDGOALS)),$(TEST_MODULES_CMD)))
  _TEST_ARGS=$(wordlist 2,$(words $(MAKECMDGOALS)),$(MAKECMDGOALS))
  $(eval $(_TEST_ARGS):;@:)
  ifneq (,$(_TEST_ARGS))
    TEST_MODULES=$(_TEST_ARGS)
  endif
else
endif

howto:
	make -C docs/howto html

apidocs:
	make -C docs/api html

manual:
	mkdir -p docs/manual/pt_BR/_build/html
	yelp-build html -o docs/manual/pt_BR/_build/html docs/manual/pt_BR

upload-apidocs:
	cd docs/api/_build/html && rsync -avz --del . $(API_DOC_DIR)

upload-manual:
	cd docs/manual/pt_BR/_build/html && rsync -avz --del . $(MANUAL_DOC_DIR)

schemadocs:
	schemaspy -t pgsql -host anthem -db $(USER) -u $(USER) -s public -o $(SCHEMADIR) \
	    -X '(.*\.te_created_id)|(.*\.te_modified_id)' -norows
	sed -i "s|$(JS_AD)||" $(SCHEMADIR)/*html
	sed -i "s|$(JS_AD)||" $(SCHEMADIR)/tables/*html

clean:
	@find . -iname '*pyc' -delete

check: clean check-source
	@echo "Running $(TEST_MODULES) unittests"
	@rm -f .noseids
	@python runtests.py --failed $(TEST_MODULES)

check-failed: clean
	python runtests.py --failed $(TEST_MODULES)

coverage: clean check-source-all
	python runtests.py \
	    --with-xcoverage \
	    --with-xunit \
	    --cover-package=stoq,stoqlib,plugins \
	    --cover-erase \
	    --cover-inclusive \
	    $(TEST_MODULES) && \
	tools/validatecoverage coverage.xml && \
	git show|tools/diff-coverage jenkins-test/stoq-$$VERSION/coverage.xml

jenkins: check-source-all
	unset STOQLIB_TEST_QUICK && \
	VERSION=`python -c "from stoq import version; print version"` && \
	rm -fr jenkins-test && \
	python setup.py -q sdist -d jenkins-test && \
	cd jenkins-test && \
	tar xfz stoq-$$VERSION.tar.gz && \
	cd stoq-$$VERSION && \
	python runtests.py \
	    --with-xcoverage \
	    --with-xunit \
	    --cover-package=stoq,stoqlib,plugins \
	    --cover-erase \
	    --cover-inclusive \
	    $(TEST_MODULES) && \
	cd ../.. && \
	tools/validatecoverage jenkins-test/stoq-$$VERSION/coverage.xml && \
	git show|tools/diff-coverage jenkins-test/stoq-$$VERSION/coverage.xml

external:
	@cat requirements.txt | \
	    grep -v -e '^#' | \
	    PYTHONPATH=external/ xargs -n 1 \
	    easy_install -x -d external

deb:
	python setup.py sdist $(COMPILE) --dist-dir=../
	rename -f 's/$(PACKAGE)-(.*)\.tar\.gz/$(PACKAGE)_$$1\.orig\.tar\.gz/' ../*
	dpkg-buildpackage -i -I -rfakeroot


include utils/utils.mk
.PHONY: howto apidocs manual upload-apidocs upload-manual schemadocs
.PHONY: clean check check-failed coverage jenkins external deb

=== docs/howto/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/StoqDeveloperHowto.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/StoqDeveloperHowto.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/StoqDeveloperHowto"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/StoqDeveloperHowto"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
stoq (1.8) precise; urgency=low

  * Release 1.8

 -- Thiago Bellini Ribeiro <hackedbellini@async.com.br>  Tue, 05 Aug 2014 15:54:22 -0300

stoq (1.7.3+1.8rc8) precise; urgency=low

  * 1.8 Release candidate 8

 -- Thiago Bellini Ribeiro <hackedbellini@async.com.br>  Wed, 23 Jul 2014 11:39:36 -0300

stoq (1.7.3+1.8rc6) precise; urgency=low

  * 1.8 Release candidate 6

 -- Thiago Bellini Ribeiro <hackedbellini@async.com.br>  Thu, 26 Jun 2014 18:01:00 -0300

stoq (1.7.3+1.8rc5) precise; urgency=low

  * 1.8 Release candidate 5

 -- Thiago Bellini Ribeiro <hackedbellini@async.com.br>  Tue, 24 Jun 2014 17:08:17 -0300

stoq (1.7.3+1.8rc4) precise; urgency=low

  * 1.8 Release candidate 4

 -- Thiago Bellini Ribeiro <hackedbellini@async.com.br>  Mon, 23 Jun 2014 14:03:45 -0300

stoq (1.7.3+1.8rc3) precise; urgency=low

  * 1.8 Release candidate 3

 -- Thiago Bellini Ribeiro <hackedbellini@async.com.br>  Wed, 11 Jun 2014 15:44:45 -0300

stoq (1.7.2+1.8~rc2) precise; urgency=low

  * 1.8 Release candidate 2

 -- Thiago Bellini Ribeiro <hackedbellini@async.com.br>  Thu, 10 Apr 2014 17:58:06 -0300

stoq (1.7.3+1.8~rc1) precise; urgency=low

  * 1.8 Release Candidate 1

 -- Thiago Bellini Ribeiro <hackedbellini@gmail.com>  Wed, 26 Feb 2014 18:13:14 -0300

stoq (1.6.0+1.7rc2) precise; urgency=low

  * 1.7 Release Candidade 2

 -- Ronaldo Francisco Maia <romaia@async.com.br>  Tue, 19 Mar 2013 10:59:47 -0300

stoq (1.6.0+1.7rc1) precise; urgency=low

  * 1.7 Release Candidade 1

 -- Ronaldo Francisco Maia <romaia@async.com.br>  Fri, 15 Mar 2013 11:20:46 -0300

stoq (1.5.1+1.6rc6) precise; urgency=low

  * 1.6rc6

 -- Ronaldo Francisco Maia <romaia@async.com.br>  Tue, 19 Feb 2013 16:04:22 -0300

stoq (1.5.1+1.6rc5) precise; urgency=low

  * 1.6rc5

 -- Ronaldo Francisco Maia <romaia@async.com.br>  Mon, 18 Feb 2013 16:06:25 -0300

stoq (1.5.1+1.6rc4) precise; urgency=low

  * 1.6rc4

 -- Ronaldo Francisco Maia <romaia@async.com.br>  Mon, 18 Feb 2013 10:30:49 -0300

stoq (1.5.1+1.6rc3) precise; urgency=low

  * 1.6rc3

 -- Ronaldo Francisco Maia <romaia@async.com.br>  Fri, 15 Feb 2013 17:41:44 -0200

stoq (1.5.1+1.6rc2) precise; urgency=low

  * 1.6rc2

 -- Ronaldo Francisco Maia <romaia@async.com.br>  Fri, 15 Feb 2013 13:18:24 -0200

stoq (1.5.1+1.6rc1) precise; urgency=low

  * 1.6rc1

 -- Ronaldo Francisco Maia <romaia@async.com.br>  Wed, 13 Feb 2013 13:52:20 -0200

stoq (1.5.0) precise; urgency=low

  * Release Stoq 1.5.0

 -- Ronaldo Francisco Maia <romaia@async.com.br>  Wed, 28 Nov 2012 14:38:36 -0200

stoq (1.5rc5) precise; urgency=low

  * 1.5 Release Candidate 5

 -- Ronaldo Francisco Maia <romaia@async.com.br>  Mon, 26 Nov 2012 12:22:14 -0200

stoq (1.5rc4) precise; urgency=low

  * 1.5 Release Candidate 4

 -- Ronaldo Francisco Maia <romaia@async.com.br>  Wed, 21 Nov 2012 10:21:10 -0200

stoq (1.5rc3) precise; urgency=low

  * 1.5 Release Candidate 3

 -- Ronaldo Francisco Maia <romaia@async.com.br>  Wed, 14 Nov 2012 12:41:58 -0200

stoq (1.5rc2) precise; urgency=low

  * 1.5 Release Candidate 2

 -- Ronaldo Francisco Maia <romaia@async.com.br>  Wed, 07 Nov 2012 13:41:08 -0200

stoq (1.5rc1) precise; urgency=low

  * 1.5 Release Candidate 1

 -- Ronaldo Francisco Maia <romaia@async.com.br>  Thu, 01 Nov 2012 13:37:00 -0200

stoq (1.3+1.4rc5) precise; urgency=low

  * 1.4 Release Candidate 5

 -- Ronaldo Maia <romaia@async.com.br>  Mon, 30 Jul 2012 14:59:07 -0300

stoq (1.3+1.4rc4) precise; urgency=low

  * 1.4 Release Candidate 4

 -- Johan Dahlin <jdahlin@async.com.br>  Fri, 27 Jul 2012 21:15:39 -0300

stoq (1.3+1.4rc3) precise; urgency=low

  * 1.4 Release Candidate 3

 -- Ronaldo Maia <romaia@async.com.br>  Fri, 27 Jul 2012 13:28:22 -0300

stoq (1.3+1.4rc2) precise; urgency=low

  * 1.4 Release Candidate 2

 -- Ronaldo Maia <romaia@async.com.br>  Thu, 26 Jul 2012 14:46:36 -0300

stoq (1.3+1.4rc1) precise; urgency=low

  * 1.4 Release Candidate 1

 -- Ronaldo Maia <romaia@async.com.br>  Tue, 24 Jul 2012 14:52:17 -0300

stoq (1.3) precise; urgency=low

  * Release Stoq 1.3

 -- Ronaldo Maia <romaia@async.com.br>  Thu, 10 May 2012 11:07:00 -0300

stoq (1.2.2+1.3rc3) precise; urgency=low

  * 1.3 Release Candidate 3

 -- Ronaldo Maia <romaia@async.com.br>  Tue, 08 May 2012 16:54:35 -0300

stoq (1.2.2+1.3rc2) precise; urgency=low

  * 1.3 Release Candidate 2

 -- Ronaldo Maia <romaia@async.com.br>  Fri, 04 May 2012 15:10:46 -0300

stoq (1.2.2+1.3rc1) precise; urgency=low

  * 1.3 Release Candidate

 -- Ronaldo Maia <romaia@async.com.br>  Thu, 03 May 2012 12:46:56 -0300

stoq (1.2) natty; urgency=low

  * New Release

 -- Ronaldo Maia <romaia@async.com.br>  Tue, 31 Jan 2012 16:44:20 -0200

stoq (1.1.1) oneiric; urgency=low

  * New release
  * Updated manifest and other bugfixes

 -- Johan Dahlin <jdahlin@async.com.br>  Tue, 20 Dec 2011 17:58:34 -0200

stoq (1.1) natty; urgency=low

  * Release Stoq 1.1

 -- Ronaldo Maia <romaia@async.com.br>  Tue, 06 Dec 2011 13:55:20 -0200

stoq (1.0.5) natty; urgency=low

  * Bugfix release

 -- Ronaldo Maia <romaia@async.com.br>  Tue, 08 Nov 2011 14:30:24 -0200

stoq (1.0.4) natty; urgency=low

  * Bugfix release

 -- Ronaldo Maia <romaia@async.com.br>  Mon, 24 Oct 2011 13:09:44 -0200

stoq (1.0.3) natty; urgency=low

  * Bugfixes Release

 -- Ronaldo Maia <romaia@async.com.br>  Tue, 18 Oct 2011 14:06:28 -0200

stoq (1.0.2.1) natty; urgency=low

  * Fix a bug in configuration wizard.

 -- Ronaldo Maia <romaia@async.com.br>  Tue, 16 Aug 2011 10:02:15 -0300

stoq (1.0.2) natty; urgency=low

  * Bugfixes Release

 -- Ronaldo Maia <romaia@async.com.br>  Fri, 12 Aug 2011 12:03:10 -0300

stoq (1.0.1) natty; urgency=low

  * Bugfixes Release

 -- Ronaldo Maia <romaia@async.com.br>  Mon, 08 Aug 2011 12:11:45 -0300

stoq (1.0.0-3) natty; urgency=low

  * Create dummy transitional package for stoqlib.

 -- Ronaldo Maia <romaia@async.com.br>  Mon, 01 Aug 2011 10:25:30 -0300

stoq (1.0.0-2) natty; urgency=low

  * Bugfixes release.



=== debian/control ===
Source: stoq
Section: python
Priority: optional
Maintainer: Stoq Team <stoq-devel@async.com.br>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6), python-setuptools
Build-Depends-Indep: python-kiwi (>= 1.9.26)
Homepage: http://www.stoq.com.br/
Vcs-Git: https://github.com/stoq/stoq.git
Vcs-Browser: https://github.com/stoq/stoq/
Standards-Version: 3.9.3
X-Python-Version: >= 2.6

Package: stoq
Architecture: all
Provides: stoqlib, stoq-docs, stoqdoc
Replaces: stoqlib (<< 1.0), stoq-docs (<< 1.0), stoqdoc (<< 1.0)
Breaks: stoqlib (<< 1.0)
Depends: ${misc:Depends}, ${python:Depends},
 python-gtk2 (>= 2.20), python-zope.interface (>= 3.5.2) | python-zopeinterface (>= 3.2.1),
 python-kiwi (>= 1.9.39.2), python-psycopg2 (>= 2.0.5), stoqdrivers (>= 1:0.9.21),
 python-imaging (>= 1.1.5), python-reportlab (>= 2.4), postgresql-client, python-dateutil (>= 1.4.1),
 python-mako (>= 0.2.5), python-gudev, python-poppler (>= 0.12.1), python-webkit (>= 1.1.7),
 python-twisted-core (>= 10.0.0), python-twisted-web (>= 10.0.0), librsvg2-common,
 python-xlwt (>= 0.7.2), iso-codes (>= 3.12.1-1), python-aptdaemon.gtkwidgets,
 python-storm (>= 0.19), python-weasyprint (>= 0.15), libxss1
Homepage: http://www.stoq.com.br/
Description: A powerful retail system
 Stoq is a suite of Retail Management System applications.
 .
 It includes the following applications;
 Point of Sales, Cash register, Sales, Purchase Orders, Inventory control,
 Customer Relationship Management (CRM), Financial Accounting, Accounts Payable and
 Accounts Receivable, Printable Reports, Employees and Suppliers registry.

=== debian/rules ===
#!/usr/bin/make -f

# For reference, see:
#   https://wiki.debian.org/Python/Packaging
#   https://wiki.debian.org/Python/LibraryStyleGuide

%:
	dh $@ --with python2 --buildsystem=python_distutils

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/s/stoq/stoq-(.*)\.(?:tar\.gz|zip|tar\.bz2)
